%define oname	tcllib

Name:           tcl-%{oname}
Version:        1.19
Release:        %mkrel 3
Summary:        Collection of utility modules for Tcl
License:        BSD
Group:          Networking/WWW
URL:            http://www.tcl.tk/software/tcllib/
Source:         https://downloads.sourceforge.net/tcllib/%{oname}-%{version}.tar.bz2
BuildRequires:  pkgconfig(tcl)
BuildArch:      noarch


%description
Tcllib is a collection of utility modules for Tcl. These modules 
provide a wide variety of functionality, from implementations of 
standard data structures to implementations of common networking 
protocols. The intent is to collect commonly used function into 
a single library, which users can rely on to be available and 
stable.

%prep
%setup -q -n %{oname}-%{version}
chmod -x modules/doctools/mpformats/fr.msg
# Convert a couple of files to UTF-8
for file in modules/struct/pool.html ; do
    iconv --from=ISO-8859-1 --to=UTF-8 ${file} > ${file}.new
    mv -f ${file}.new ${file}
done

%build
%configure --libdir=%{tcl_sitelib}
%make_build

%install
%make_install

%files
%doc support/releases/PACKAGES README support/releases/history/README-1.9.txt
%doc ChangeLog license.terms
%{_bindir}/*
%{tcl_sitelib}/tcllib%{version}
%{_mandir}/mann/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.19-3.mga9
+ Revision: 1811144
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.19-2.mga8
+ Revision: 1521378
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Dec 21 2018 daviddavid <daviddavid> 1.19-1.mga7
+ Revision: 1343963
- new version: 1.19

* Wed Sep 19 2018 umeabot <umeabot> 1.17-3.mga7
+ Revision: 1276667
- Mageia 7 Mass Rebuild

* Fri Feb 19 2016 umeabot <umeabot> 1.17-2.mga6
+ Revision: 970426
- Mageia 6 Mass Rebuild

* Mon Oct 05 2015 eatdirt <eatdirt> 1.17-1.mga6
+ Revision: 886503
- Upgrade and rebuild for new tcl8.6

* Fri May 01 2015 joequant <joequant> 1.16-1.mga5
+ Revision: 820953
- Bug 15503 - security fix in textarea

* Wed Oct 15 2014 umeabot <umeabot> 1.13-5.mga5
+ Revision: 738886
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.13-4.mga5
+ Revision: 689737
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.13-3.mga4
+ Revision: 519574
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.13-2.mga3
+ Revision: 384146
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 fwang <fwang> 1.13-1.mga2
+ Revision: 178033
- update file list
- new version 1.13

* Sun Dec 04 2011 wally <wally> 1.10-7.mga2
+ Revision: 176066
- rebuild for new tcl

* Mon Jan 17 2011 nanardon <nanardon> 1.10-6.mga1
+ Revision: 20690
- cleanup:
  - kill obsoletes (useless after 2006.0)
  - reorder section
- imported package tcl-tcllib


* Sun Sep 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.10-6mdv2010.0
+ Revision: 445379
- rebuild

* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.org> 1.10-5mdv2009.1
+ Revision: 310129
- move to new location per policy
- rebuild for tcl 8.6

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.10-4mdv2009.0
+ Revision: 261430
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.10-3mdv2009.0
+ Revision: 254190
- rebuild

* Wed Mar 19 2008 Adam Williamson <awilliamson@mandriva.org> 1.10-1mdv2008.1
+ Revision: 188740
- new version 1.10 (needed: 1.9 does not work at all with tcl/tk 8.5, will break other apps if it's installed)

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.9-2mdv2008.1
+ Revision: 171140
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix spacing at top of description

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.9-1mdv2008.1
+ Revision: 140918
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix man pages extension


* Mon Dec 18 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.9-1mdv2007.0
+ Revision: 98593
- Change package name

* Mon Dec 18 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.9-1mdv2007.1
+ Revision: 98560
- Import tcllib

